diff --git a/usr.bin/netstat/main.c b/usr.bin/netstat/main.c
index 9cb407e..00b3995 100644
--- a/usr.bin/netstat/main.c
+++ b/usr.bin/netstat/main.c
@@ -99,49 +99,43 @@ static struct nlist nl[] = {
 	{ .n_name = "_mfctable" },
 #define N_VIFTABLE	21
 	{ .n_name = "_viftable" },
-#define N_IPX		22
-	{ .n_name = "_ipxpcb"},
-#define N_IPXSTAT	23
-	{ .n_name = "_ipxstat"},
-#define N_SPXSTAT	24
-	{ .n_name = "_spx_istat"},
-#define N_NGSOCKS	25
+#define N_NGSOCKS	22
 	{ .n_name = "_ngsocklist"},
-#define N_IP6STAT	26
+#define N_IP6STAT	23
 	{ .n_name = "_ip6stat" },
-#define N_ICMP6STAT	27
+#define N_ICMP6STAT	24
 	{ .n_name = "_icmp6stat" },
-#define N_IPSECSTAT	28
+#define N_IPSECSTAT	25
 	{ .n_name = "_ipsecstat" },
-#define N_IPSEC6STAT	29
+#define N_IPSEC6STAT	26
 	{ .n_name = "_ipsec6stat" },
-#define N_PIM6STAT	30
+#define N_PIM6STAT	27
 	{ .n_name = "_pim6stat" },
-#define N_MRT6PROTO	31
+#define N_MRT6PROTO	28
 	{ .n_name = "_ip6_mrtproto" },
-#define N_MRT6STAT	32
+#define N_MRT6STAT	29
 	{ .n_name = "_mrt6stat" },
-#define N_MF6CTABLE	33
+#define N_MF6CTABLE	30
 	{ .n_name = "_mf6ctable" },
-#define N_MIF6TABLE	34
+#define N_MIF6TABLE	31
 	{ .n_name = "_mif6table" },
-#define N_PFKEYSTAT	35
+#define N_PFKEYSTAT	32
 	{ .n_name = "_pfkeystat" },
-#define N_MBSTAT	36
+#define N_MBSTAT	33
 	{ .n_name = "_mbstat" },
-#define N_MBTYPES	37
+#define N_MBTYPES	34
 	{ .n_name = "_mbtypes" },
-#define N_NMBCLUSTERS	38
+#define N_NMBCLUSTERS	35
 	{ .n_name = "_nmbclusters" },
-#define N_NMBUFS	39
+#define N_NMBUFS	36
 	{ .n_name = "_nmbufs" },
-#define	N_RTTRASH	40
+#define	N_RTTRASH	37
 	{ .n_name = "_rttrash" },
-#define	N_NCPUS		41
+#define	N_NCPUS		38
 	{ .n_name = "_ncpus" },
-#define	N_CARPSTAT	42
+#define	N_CARPSTAT	39
 	{ .n_name = "_carpstats" },
-#define N_NMBJCLUSTERS	43
+#define N_NMBJCLUSTERS	40
 	{ .n_name = "_nmbjclusters" },
 	{ .n_name = NULL },
 };
@@ -225,15 +219,6 @@ struct protox netgraphprotox[] = {
 	  0,		NULL,		NULL,	0 }
 };
 
-struct protox ipxprotox[] = {
-	{ N_IPX,	N_IPXSTAT,	1,	ipxprotopr,
-	  ipx_stats,	NULL,		"ipx",	0 },
-	{ N_IPX,	N_SPXSTAT,	1,	ipxprotopr,
-	  spx_stats,	NULL,		"spx",	0 },
-	{ -1,		-1,		0,	0,
-	  0,		NULL,		0,	0 }
-};
-
 #ifdef ISO
 struct protox isoprotox[] = {
 	{ ISO_TP,	N_TPSTAT,	1,	iso_protopr,
@@ -257,7 +242,6 @@ struct protox *protoprotox[] = {
 #ifdef IPSEC
 					 pfkeyprotox,
 #endif
-					 ipxprotox,
 #ifdef ISO
 					 isoprotox, 
 #endif
@@ -329,9 +313,7 @@ main(int argc, char **argv)
 			dflag = 1;
 			break;
 		case 'f':
-			if (strcmp(optarg, "ipx") == 0)
-				af = AF_IPX;
-			else if (strcmp(optarg, "inet") == 0)
+			if (strcmp(optarg, "inet") == 0)
 				af = AF_INET;
 #ifdef INET6
 			else if (strcmp(optarg, "inet6") == 0)
@@ -541,11 +523,6 @@ main(int argc, char **argv)
 		for (tp = pfkeyprotox; tp->pr_name; tp++)
 			printproto(tp, tp->pr_name, nl[N_NCPUS].n_value);
 #endif /*IPSEC*/
-	if (af == AF_IPX || af == AF_UNSPEC) {
-		kread(0, 0, 0);
-		for (tp = ipxprotox; tp->pr_name; tp++)
-			printproto(tp, tp->pr_name, nl[N_NCPUS].n_value);
-	}
 	if (af == AF_NETGRAPH || af == AF_UNSPEC)
 		for (tp = netgraphprotox; tp->pr_name; tp++)
 			printproto(tp, tp->pr_name, nl[N_NCPUS].n_value);
diff --git a/usr.bin/netstat/netstat.h b/usr.bin/netstat/netstat.h
index d8203f2..670c029 100644
--- a/usr.bin/netstat/netstat.h
+++ b/usr.bin/netstat/netstat.h
@@ -107,22 +107,14 @@ void	intpr (int, u_long, void (*)(char *), u_long);
 void	pr_rthdr (int);
 void	pr_family (int);
 void	rt_stats (void);
-char	*ipx_pnet (struct sockaddr *);
-char	*ipx_phost (struct sockaddr *);
 char	*ns_phost (struct sockaddr *);
 void	upHex (char *);
 
 char	*routename (u_long);
 char	*netname (u_long, u_long);
-char	*ipx_print (struct sockaddr *);
 char	*ns_print (struct sockaddr *);
 void	routepr (u_long);
 
-void	ipxprotopr (u_long, const char *, int);
-void	spx_stats (u_long, const char *, int);
-void	ipx_stats (u_long, const char *, int);
-void	ipxerr_stats (u_long, char *, int);
-
 void	nsprotopr (u_long, char *, int);
 void	spp_stats (u_long, char *, int);
 void	idp_stats (u_long, char *, int);
diff --git a/usr.bin/netstat/route.c b/usr.bin/netstat/route.c
index d54ac98..c7ea67b 100644
--- a/usr.bin/netstat/route.c
+++ b/usr.bin/netstat/route.c
@@ -43,7 +43,6 @@
 #include <net/route.h>
 
 #include <netinet/in.h>
-#include <netipx/ipx.h>
 #include <netgraph/socket/ng_socket.h>
 
 #include <netproto/mpls/mpls.h>
@@ -197,9 +196,6 @@ pr_family(int af1)
 		afname = "Internet6";
 		break;
 #endif /*INET6*/
-	case AF_IPX:
-		afname = "IPX";
-		break;
 	case AF_ISO:
 		afname = "ISO";
 		break;
@@ -681,15 +677,6 @@ fmt_sockaddr(struct sockaddr *sa, struct sockaddr *mask, int flags)
 	    }
 #endif /*INET6*/
 
-	case AF_IPX:
-	    {
-		struct ipx_addr work = ((struct sockaddr_ipx *)sa)->sipx_addr;
-		if (ipx_nullnet(satoipx_addr(work)))
-			cp = "default";
-		else
-			cp = ipx_print(sa);
-		break;
-	    }
 	case AF_NETGRAPH:
 	    {
 		printf("%s", ((struct sockaddr_ng *)sa)->sg_data);
@@ -1095,92 +1082,6 @@ rt_stats(void)
 #undef p
 }
 
-char *
-ipx_print(struct sockaddr *sa)
-{
-	u_short port;
-	struct servent *sp = NULL;
-	const char *net = "", *host = "";
-	char *p;
-	u_char *q;
-	struct ipx_addr work = ((struct sockaddr_ipx *)sa)->sipx_addr;
-	static char mybuf[50];
-	char cport[10], chost[15], cnet[15];
-
-	port = ntohs(work.x_port);
-
-	if (ipx_nullnet(work) && ipx_nullhost(work)) {
-
-		if (port) {
-			if (sp)
-				sprintf(mybuf, "*.%s", sp->s_name);
-			else
-				sprintf(mybuf, "*.%x", port);
-		} else
-			sprintf(mybuf, "*.*");
-
-		return (mybuf);
-	}
-
-	if (ipx_wildnet(work))
-		net = "any";
-	else if (ipx_nullnet(work))
-		net = "*";
-	else {
-		q = work.x_net.c_net;
-		sprintf(cnet, "%02x%02x%02x%02x",
-			q[0], q[1], q[2], q[3]);
-		for (p = cnet; *p == '0' && p < cnet + 8; p++)
-			continue;
-		net = p;
-	}
-
-	if (ipx_wildhost(work))
-		host = "any";
-	else if (ipx_nullhost(work))
-		host = "*";
-	else {
-		q = work.x_host.c_host;
-		sprintf(chost, "%02x%02x%02x%02x%02x%02x",
-			q[0], q[1], q[2], q[3], q[4], q[5]);
-		for (p = chost; *p == '0' && p < chost + 12; p++)
-			continue;
-		host = p;
-	}
-
-	if (port) {
-		if (strcmp(host, "*") == 0)
-			host = "";
-		if (sp)	
-			snprintf(cport, sizeof(cport),
-				"%s%s", *host ? "." : "", sp->s_name);
-		else	
-			snprintf(cport, sizeof(cport),
-				"%s%x", *host ? "." : "", port);
-	} else
-		*cport = 0;
-
-	snprintf(mybuf, sizeof(mybuf), "%s.%s%s", net, host, cport);
-	return(mybuf);
-}
-
-char *
-ipx_phost(struct sockaddr *sa)
-{
-	struct sockaddr_ipx *sipx = (struct sockaddr_ipx *)sa;
-	struct sockaddr_ipx work;
-	static union ipx_net ipx_zeronet;
-	char *p;
-
-	work = *sipx;
-	work.sipx_addr.x_port = 0;
-	work.sipx_addr.x_net = ipx_zeronet;
-	p = ipx_print((struct sockaddr *)&work);
-	if (strncmp("*.", p, 2) == 0) p += 2;
-
-	return(p);
-}
-
 void
 upHex(char *p0)
 {
diff --git a/usr.sbin/Makefile b/usr.sbin/Makefile
index 6e24110..c2c9969 100644
--- a/usr.sbin/Makefile
+++ b/usr.sbin/Makefile
@@ -4,7 +4,6 @@
 .include "../sys/platform/${MACHINE_PLATFORM}/Makefile.inc"
 
 SUBDIR= 802_11 \
-	IPXrouted \
 	ac \
 	accton \
 	acpi \
diff --git a/usr.sbin/ppp/Makefile b/usr.sbin/ppp/Makefile
index 930c84b..46d6ae8 100644
--- a/usr.sbin/ppp/Makefile
+++ b/usr.sbin/ppp/Makefile
@@ -5,7 +5,7 @@ MAN=	ppp.8
 SRCS=	acf.c arp.c async.c auth.c bundle.c cbcp.c ccp.c chap.c chat.c \
 	command.c datalink.c deflate.c defs.c exec.c filter.c fsm.c hdlc.c \
 	iface.c ip.c ipcp.c ipv6cp.c iplist.c lcp.c link.c log.c lqr.c main.c \
-	mbuf.c mp.c ncp.c ncpaddr.c pap.c physical.c pred.c probe.c prompt.c \
+	mbuf.c mp.c pap.c physical.c pred.c probe.c prompt.c \
 	proto.c route.c server.c sig.c slcompress.c sync.c systems.c tcp.c \
 	tcpmss.c throughput.c timer.c tty.c tun.c udp.c vjcomp.c
 
diff --git a/usr.sbin/ppp/arp.c b/usr.sbin/ppp/arp.c
index ace5cd8..bc02144 100644
--- a/usr.sbin/ppp/arp.c
+++ b/usr.sbin/ppp/arp.c
@@ -58,7 +58,6 @@
 #include "slcompress.h"
 #include "lqr.h"
 #include "hdlc.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "ipv6cp.h"
 #include "descriptor.h"
@@ -66,7 +65,6 @@
 #include "ccp.h"
 #include "link.h"
 #include "mp.h"
-#include "ncp.h"
 #include "filter.h"
 #ifndef NORADIUS
 #include "radius.h"
diff --git a/usr.sbin/ppp/auth.c b/usr.sbin/ppp/auth.c
index 94c39fc..8ddf99e 100644
--- a/usr.sbin/ppp/auth.c
+++ b/usr.sbin/ppp/auth.c
@@ -53,7 +53,6 @@
 #include "slcompress.h"
 #include "lqr.h"
 #include "hdlc.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "auth.h"
 #include "systems.h"
@@ -74,7 +73,6 @@
 #include "physical.h"
 #include "datalink.h"
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 
 const char *
diff --git a/usr.sbin/ppp/bundle.c b/usr.sbin/ppp/bundle.c
index a0a24be..d0486ba 100644
--- a/usr.sbin/ppp/bundle.c
+++ b/usr.sbin/ppp/bundle.c
@@ -67,7 +67,6 @@
 #include "hdlc.h"
 #include "throughput.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "filter.h"
@@ -81,7 +80,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "async.h"
 #include "physical.h"
diff --git a/usr.sbin/ppp/ccp.c b/usr.sbin/ppp/ccp.c
index 2b96061..0deb00c 100644
--- a/usr.sbin/ppp/ccp.c
+++ b/usr.sbin/ppp/ccp.c
@@ -59,7 +59,6 @@
 #include "hdlc.h"
 #include "lcp.h"
 #include "ccp.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -75,7 +74,6 @@
 #include "mppe.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 
 static void CcpSendConfigReq(struct fsm *);
diff --git a/usr.sbin/ppp/chap.c b/usr.sbin/ppp/chap.c
index 76842df..3dac000 100644
--- a/usr.sbin/ppp/chap.c
+++ b/usr.sbin/ppp/chap.c
@@ -69,7 +69,6 @@
 #include "chap.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "ccp.h"
@@ -80,7 +79,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "chat.h"
 #include "cbcp.h"
diff --git a/usr.sbin/ppp/chat.c b/usr.sbin/ppp/chat.c
index 80defae..b33f250 100644
--- a/usr.sbin/ppp/chat.c
+++ b/usr.sbin/ppp/chat.c
@@ -65,7 +65,6 @@
 #include "chap.h"
 #include "slcompress.h"
 #include "iplist.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "cbcp.h"
@@ -75,7 +74,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "id.h"
 
diff --git a/usr.sbin/ppp/command.c b/usr.sbin/ppp/command.c
index 5d07d17..04af0b0 100644
--- a/usr.sbin/ppp/command.c
+++ b/usr.sbin/ppp/command.c
@@ -71,7 +71,6 @@
 #include "lqr.h"
 #include "hdlc.h"
 #include "lcp.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #ifndef NONAT
 #include "nat_cmd.h"
@@ -91,7 +90,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "server.h"
 #include "prompt.h"
diff --git a/usr.sbin/ppp/datalink.c b/usr.sbin/ppp/datalink.c
index 60964ba..a1bec26 100644
--- a/usr.sbin/ppp/datalink.c
+++ b/usr.sbin/ppp/datalink.c
@@ -59,7 +59,6 @@
 #include "physical.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "mp.h"
@@ -67,7 +66,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "chat.h"
 #include "auth.h"
diff --git a/usr.sbin/ppp/ether.c b/usr.sbin/ppp/ether.c
index 9cd237e..4a9ac7e 100644
--- a/usr.sbin/ppp/ether.c
+++ b/usr.sbin/ppp/ether.c
@@ -88,7 +88,6 @@
 #include "datalink.h"
 #include "slcompress.h"
 #include "iplist.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "filter.h"
@@ -96,7 +95,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "id.h"
 #include "iface.h"
diff --git a/usr.sbin/ppp/filter.c b/usr.sbin/ppp/filter.c
index 56b513f..eca4b38 100644
--- a/usr.sbin/ppp/filter.c
+++ b/usr.sbin/ppp/filter.c
@@ -57,7 +57,6 @@
 #include "ccp.h"
 #include "link.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -67,7 +66,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 
 static unsigned filter_Nam2Op(const char *);
diff --git a/usr.sbin/ppp/filter.h b/usr.sbin/ppp/filter.h
index f8f8fc3..2296a8b 100644
--- a/usr.sbin/ppp/filter.h
+++ b/usr.sbin/ppp/filter.h
@@ -64,8 +64,6 @@ struct filterent {
   unsigned f_syn : 1;		/* Check TCP SYN bit */
   unsigned f_finrst : 1;	/* Check TCP FIN/RST bits */
   unsigned f_invert : 1;	/* true to complement match */
-  struct ncprange f_src;	/* Source address and mask */
-  struct ncprange f_dst;	/* Destination address and mask */
   u_short f_srcport;		/* Source port, compared with f_srcop */
   u_short f_dstport;		/* Destination port, compared with f_dstop */
   unsigned timeout;		/* Keep alive value for passed packet */
diff --git a/usr.sbin/ppp/fsm.c b/usr.sbin/ppp/fsm.c
index f98dc20..96ecb61 100644
--- a/usr.sbin/ppp/fsm.c
+++ b/usr.sbin/ppp/fsm.c
@@ -51,7 +51,6 @@
 #include "hdlc.h"
 #include "throughput.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -63,7 +62,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "async.h"
 #include "physical.h"
diff --git a/usr.sbin/ppp/iface.c b/usr.sbin/ppp/iface.c
index 311667c..029618d 100644
--- a/usr.sbin/ppp/iface.c
+++ b/usr.sbin/ppp/iface.c
@@ -67,7 +67,6 @@
 #include "throughput.h"
 #include "slcompress.h"
 #include "descriptor.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "lcp.h"
@@ -78,7 +77,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "prompt.h"
 #include "iface.h"
diff --git a/usr.sbin/ppp/ip.c b/usr.sbin/ppp/ip.c
index f2c7a48..fa6a902 100644
--- a/usr.sbin/ppp/ip.c
+++ b/usr.sbin/ppp/ip.c
@@ -61,7 +61,6 @@
 #include "throughput.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "filter.h"
@@ -74,7 +73,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "tun.h"
 
diff --git a/usr.sbin/ppp/ipcp.c b/usr.sbin/ppp/ipcp.c
index 266f636..99d0ee7 100644
--- a/usr.sbin/ppp/ipcp.c
+++ b/usr.sbin/ppp/ipcp.c
@@ -73,7 +73,6 @@
 #include "lqr.h"
 #include "hdlc.h"
 #include "lcp.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "filter.h"
@@ -88,7 +87,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "id.h"
 #include "arp.h"
diff --git a/usr.sbin/ppp/ipcp.h b/usr.sbin/ppp/ipcp.h
index 48c3ea2..fc9c868 100644
--- a/usr.sbin/ppp/ipcp.h
+++ b/usr.sbin/ppp/ipcp.h
@@ -53,9 +53,7 @@ struct ipcp {
       unsigned neg : 2;			/* VJ negotiation */
     } vj;
 
-    struct ncprange  my_range;		/* MYADDR spec */
     struct in_addr   netmask;		/* Iface netmask (unused by most OSs) */
-    struct ncprange  peer_range;	/* HISADDR spec */
     struct iplist    peer_list;		/* Ranges of HISADDR values */
 
     struct in_addr   TriggerAddress;	/* Address to suggest in REQ */
diff --git a/usr.sbin/ppp/ipv6cp.c b/usr.sbin/ppp/ipv6cp.c
index 7fd6051..ed89cc6 100644
--- a/usr.sbin/ppp/ipv6cp.c
+++ b/usr.sbin/ppp/ipv6cp.c
@@ -55,7 +55,6 @@
 #include "lqr.h"
 #include "hdlc.h"
 #include "lcp.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "ipv6cp.h"
@@ -67,7 +66,6 @@
 #ifndef NORADIUS
 #include "radius.h"
 #endif
-#include "ncp.h"
 #include "bundle.h"
 #include "route.h"
 #include "iface.h"
diff --git a/usr.sbin/ppp/ipv6cp.h b/usr.sbin/ppp/ipv6cp.h
index 57705fd..6223f6a 100644
--- a/usr.sbin/ppp/ipv6cp.h
+++ b/usr.sbin/ppp/ipv6cp.h
@@ -47,9 +47,6 @@ struct ipv6cp {
   u_char my_ifid[IPV6CP_IFIDLEN];	/* Local Interface Identifier */
   u_char his_ifid[IPV6CP_IFIDLEN];	/* Peer Interface Identifier */
 
-  struct ncpaddr myaddr;		/* Local address */
-  struct ncpaddr hisaddr;		/* Peer address */
-
   u_int32_t his_reject;			/* Request codes rejected by peer */
   u_int32_t my_reject;			/* Request codes I have rejected */
 
diff --git a/usr.sbin/ppp/lcp.c b/usr.sbin/ppp/lcp.c
index 2f5a5aa..37e7e45 100644
--- a/usr.sbin/ppp/lcp.c
+++ b/usr.sbin/ppp/lcp.c
@@ -65,7 +65,6 @@
 #include "physical.h"
 #include "prompt.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "mp.h"
@@ -78,7 +77,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 
 /* for received LQRs */
diff --git a/usr.sbin/ppp/link.c b/usr.sbin/ppp/link.c
index f9a1ab8..219bfe0 100644
--- a/usr.sbin/ppp/link.c
+++ b/usr.sbin/ppp/link.c
@@ -61,7 +61,6 @@
 #include "mp.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "ipv6cp.h"
diff --git a/usr.sbin/ppp/main.c b/usr.sbin/ppp/main.c
index f7509e7..5095bdc 100644
--- a/usr.sbin/ppp/main.c
+++ b/usr.sbin/ppp/main.c
@@ -73,7 +73,6 @@
 #include "iplist.h"
 #include "throughput.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -83,7 +82,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "auth.h"
 #include "systems.h"
diff --git a/usr.sbin/ppp/mp.c b/usr.sbin/ppp/mp.c
index 103efa8..1feb756 100644
--- a/usr.sbin/ppp/mp.c
+++ b/usr.sbin/ppp/mp.c
@@ -63,7 +63,6 @@
 #include "slcompress.h"
 #include "lqr.h"
 #include "hdlc.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "auth.h"
 #include "lcp.h"
@@ -83,7 +82,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "prompt.h"
 #include "id.h"
diff --git a/usr.sbin/ppp/mppe.c b/usr.sbin/ppp/mppe.c
index 41b98e5..6426e8b 100644
--- a/usr.sbin/ppp/mppe.c
+++ b/usr.sbin/ppp/mppe.c
@@ -60,14 +60,12 @@
 #ifndef NORADIUS
 #include "radius.h"
 #endif
-#include "ncpaddr.h"
 #include "iplist.h"
 #include "slcompress.h"
 #include "ipcp.h"
 #include "ipv6cp.h"
 #include "filter.h"
 #include "mp.h"
-#include "ncp.h"
 #include "bundle.h"
 
 /*
diff --git a/usr.sbin/ppp/nat_cmd.c b/usr.sbin/ppp/nat_cmd.c
index b3a5b45..461b9f1 100644
--- a/usr.sbin/ppp/nat_cmd.c
+++ b/usr.sbin/ppp/nat_cmd.c
@@ -64,7 +64,6 @@
 #include "mbuf.h"
 #include "lqr.h"
 #include "hdlc.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "ipv6cp.h"
@@ -76,7 +75,6 @@
 #ifndef NORADIUS
 #include "radius.h"
 #endif
-#include "ncp.h"
 #include "bundle.h"
 
 
diff --git a/usr.sbin/ppp/netgraph.c b/usr.sbin/ppp/netgraph.c
index 5c650eb..0f0dcfc 100644
--- a/usr.sbin/ppp/netgraph.c
+++ b/usr.sbin/ppp/netgraph.c
@@ -82,10 +82,8 @@
 #include "datalink.h"
 #include "slcompress.h"
 #include "iplist.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "filter.h"
 #ifndef NORADIUS
 #include "radius.h"
diff --git a/usr.sbin/ppp/pap.c b/usr.sbin/ppp/pap.c
index 801e745..9c12055 100644
--- a/usr.sbin/ppp/pap.c
+++ b/usr.sbin/ppp/pap.c
@@ -60,7 +60,6 @@
 #include "physical.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "mp.h"
@@ -68,7 +67,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "chat.h"
 #include "chap.h"
diff --git a/usr.sbin/ppp/physical.c b/usr.sbin/ppp/physical.c
index bf4433f..af94482 100644
--- a/usr.sbin/ppp/physical.c
+++ b/usr.sbin/ppp/physical.c
@@ -70,7 +70,6 @@
 #include "async.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -82,7 +81,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "prompt.h"
 #include "chat.h"
diff --git a/usr.sbin/ppp/prompt.c b/usr.sbin/ppp/prompt.c
index afea5b7..12cb3fc 100644
--- a/usr.sbin/ppp/prompt.c
+++ b/usr.sbin/ppp/prompt.c
@@ -59,7 +59,6 @@
 #include "lqr.h"
 #include "hdlc.h"
 #include "lcp.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "async.h"
@@ -71,7 +70,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "chat.h"
 #include "chap.h"
diff --git a/usr.sbin/ppp/radius.c b/usr.sbin/ppp/radius.c
index 19e1f92..b37c3d7 100644
--- a/usr.sbin/ppp/radius.c
+++ b/usr.sbin/ppp/radius.c
@@ -70,7 +70,6 @@
 #include "lqr.h"
 #include "hdlc.h"
 #include "mbuf.h"
-#include "ncpaddr.h"
 #include "ip.h"
 #include "ipcp.h"
 #include "ipv6cp.h"
@@ -89,7 +88,6 @@
 #include "cbcp.h"
 #include "chap.h"
 #include "datalink.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "proto.h"
 
diff --git a/usr.sbin/ppp/route.c b/usr.sbin/ppp/route.c
index 666c6e3..cd3c164 100644
--- a/usr.sbin/ppp/route.c
+++ b/usr.sbin/ppp/route.c
@@ -65,7 +65,6 @@
 #include "ccp.h"
 #include "link.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -74,7 +73,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "route.h"
 #include "prompt.h"
diff --git a/usr.sbin/ppp/server.c b/usr.sbin/ppp/server.c
index f3f142f..7b498a1 100644
--- a/usr.sbin/ppp/server.c
+++ b/usr.sbin/ppp/server.c
@@ -45,7 +45,6 @@
 #include "descriptor.h"
 #include "server.h"
 #include "prompt.h"
-#include "ncpaddr.h"
 #include "probe.h"
 
 static int
diff --git a/usr.sbin/ppp/slcompress.c b/usr.sbin/ppp/slcompress.c
index 0142efd..7728988 100644
--- a/usr.sbin/ppp/slcompress.c
+++ b/usr.sbin/ppp/slcompress.c
@@ -51,7 +51,6 @@
 #include "iplist.h"
 #include "lqr.h"
 #include "hdlc.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "lcp.h"
@@ -62,7 +61,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 
 void
diff --git a/usr.sbin/ppp/tcpmss.c b/usr.sbin/ppp/tcpmss.c
index 37da925..2303504 100644
--- a/usr.sbin/ppp/tcpmss.c
+++ b/usr.sbin/ppp/tcpmss.c
@@ -53,7 +53,6 @@
 #include "link.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -63,7 +62,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 
 
diff --git a/usr.sbin/ppp/tun.c b/usr.sbin/ppp/tun.c
index db33da1..b5f8f86 100644
--- a/usr.sbin/ppp/tun.c
+++ b/usr.sbin/ppp/tun.c
@@ -64,7 +64,6 @@
 #include "throughput.h"
 #include "iplist.h"
 #include "slcompress.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "filter.h"
 #include "descriptor.h"
@@ -77,7 +76,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "tun.h"
 
diff --git a/usr.sbin/ppp/vjcomp.c b/usr.sbin/ppp/vjcomp.c
index d6a757a..79ce02d 100644
--- a/usr.sbin/ppp/vjcomp.c
+++ b/usr.sbin/ppp/vjcomp.c
@@ -52,7 +52,6 @@
 #include "defs.h"
 #include "iplist.h"
 #include "throughput.h"
-#include "ncpaddr.h"
 #include "ipcp.h"
 #include "lcp.h"
 #include "ccp.h"
@@ -64,7 +63,6 @@
 #include "radius.h"
 #endif
 #include "ipv6cp.h"
-#include "ncp.h"
 #include "bundle.h"
 #include "vjcomp.h"
 
diff --git a/usr.sbin/pppd/Makefile b/usr.sbin/pppd/Makefile
index 15b813e..93b2a85 100644
--- a/usr.sbin/pppd/Makefile
+++ b/usr.sbin/pppd/Makefile
@@ -1,10 +1,9 @@
 # $FreeBSD: src/usr.sbin/pppd/Makefile,v 1.19.2.2 2001/08/19 03:32:43 kris Exp $
-# $DragonFly: src/usr.sbin/pppd/Makefile,v 1.6 2005/09/06 18:55:48 dillon Exp $
 
 CFLAGS+= -DHAVE_PATHS_H
 
 PROG=	pppd
-SRCS=	main.c magic.c fsm.c lcp.c ipcp.c ipxcp.c upap.c chap.c ccp.c \
+SRCS=	main.c magic.c fsm.c lcp.c ipcp.c upap.c chap.c ccp.c \
 	demand.c auth.c options.c sys-bsd.c
 MAN=	pppd.8
 BINMODE=4550
@@ -15,10 +14,6 @@ WARNS?=	0
 LDADD=	-lcrypt -lutil -lmd
 DPADD=	${LIBCRYPT} ${LIBUTIL} ${LIBMD}
 
-# Support SPX/IPX - not quite ready
-#CFLAGS+=-DIPX_CHANGE
-#SRCS+=	ipxcp.c
-
 # Callback Control Protocol
 CFLAGS+=-DCBCP_SUPPORT
 SRCS+=	cbcp.c
diff --git a/usr.sbin/pppd/sys-bsd.c b/usr.sbin/pppd/sys-bsd.c
index b9d2b5e..d7d1d40 100644
--- a/usr.sbin/pppd/sys-bsd.c
+++ b/usr.sbin/pppd/sys-bsd.c
@@ -59,10 +59,6 @@
 #include <net/if_dl.h>
 #include <netinet/in.h>
 
-#ifdef IPX_CHANGE
-#include <netipx/ipx.h>
-#endif
-
 #if RTM_VERSION >= 3
 #include <sys/param.h>
 #if defined(NetBSD) && (NetBSD >= 199703)
@@ -1205,107 +1201,6 @@ cifproxyarp(int unit, u_int32_t hisaddr)
 }
 #endif	/* RTM_VERSION */
 
-#ifdef IPX_CHANGE
-/********************************************************************
- *
- * sipxfaddr - Config the interface IPX networknumber
- */
-
-int
-sipxfaddr(int unit, unsigned long int network, unsigned char *node)
-{
-    int    result = 1;
-
-    int    skfd; 
-    struct sockaddr_ipx  ipx_addr;
-    struct ifreq         ifr;
-    struct sockaddr_ipx *sipx = (struct sockaddr_ipx *) &ifr.ifr_addr;
-    union ipx_net_u net;
-
-    skfd = socket (AF_IPX, SOCK_DGRAM, 0);
-    if (skfd < 0)
-      { 
-	syslog (LOG_DEBUG, "socket(AF_IPX): %m(%d)", errno);
-	result = 0;
-      }
-    else
-      {
-	memset (&ifr, '\0', sizeof (ifr));
-	strcpy (ifr.ifr_name, ifname);
-
-	memcpy (sipx->sipx_addr.x_host.c_host, node, 6);
-	sipx->sipx_len     = sizeof(sipx);
-	sipx->sipx_family  = AF_IPX;
-	sipx->sipx_port    = 0;
-	memset(&net, 0, sizeof(net));
-	net.long_e = htonl (network);
-	sipx->sipx_addr.x_net = net.net_e;
-/*
- *  Set the IPX device
- */
-	if (ioctl(skfd, SIOCSIFADDR, (caddr_t) &ifr) < 0)
-	  {
-	    result = 0;
-	    if (errno != EEXIST)
-	      {
-		syslog (LOG_DEBUG,
-			    "ioctl(SIOCAIFADDR, CRTITF): %m(%d)", errno);
-	      }
-	    else
-	      {
-		syslog (LOG_WARNING,
-			"ioctl(SIOCAIFADDR, CRTITF): Address already exists");
-	      }
-	  }
-	close (skfd);
-      }
-    return result;
-}
-
-/********************************************************************
- *
- * cipxfaddr - Clear the information for the IPX network. The IPX routes
- *	       are removed and the device is no longer able to pass IPX
- *	       frames.
- */
-
-int cipxfaddr(int unit)
-{
-    int    result = 1;
-
-    int    skfd; 
-    struct sockaddr_ipx  ipx_addr;
-    struct ifreq         ifr;
-    struct sockaddr_ipx *sipx = (struct sockaddr_ipx *) &ifr.ifr_addr;
-
-    skfd = socket (AF_IPX, SOCK_DGRAM, 0);
-    if (skfd < 0)
-      { 
-	syslog (LOG_DEBUG, "socket(AF_IPX): %m(%d)", errno);
-	result = 0;
-      }
-    else
-      {
-	memset (&ifr, '\0', sizeof (ifr));
-	strcpy (ifr.ifr_name, ifname);
-
-	sipx->sipx_len     = sizeof(sipx);
-	sipx->sipx_family  = AF_IPX;
-/*
- *  Set the IPX device
- */
-	if (ioctl(skfd, SIOCSIFADDR, (caddr_t) &ifr) < 0)
-	  {
-	    syslog (LOG_INFO,
-			"ioctl(SIOCAIFADDR, IPX_DLTITF): %m(%d)", errno);
-	    result = 0;
-	  }
-	close (skfd);
-      }
-    return result;
-}
-#endif
-
 /*
  * get_ether_addr - get the hardware address of an interface on the
  * the same subnet as ipaddr.
-- 
1.8.2.2

